RNDR(1)

NAME
rndr - render a rib file

SYNOPSIS
rndr [ -f <range> ] [ options ... ] [ -P:n ] [ name.rib ... ]
rndr -r <port>
rndr -k <port>
rndr [ options... ] [ name.rib ... ] -s <srv1:port1,srv2:port2...>

DESCRIPTION
Rndr Renders a file with Pixie.

The main documentation is maintained in html form and should be included with your distribution in the html or doc directories.

Note: If the filename given is '-' or no filename is given, then rndr will read from standard input. This is not valid for network renders, where the file needs to be shipped to the server rndr instances for them to read.

OPTIONS

-f <range>
    Render only selected frames. Range can be of the form N for a single frame, N1:N2 for N1 through to N2, or N1:N2:N3 for N1 to N3 skipping, but only every N2 frames.

-q  Quiet mode. Errors and warnings are not displayed.

-d  Framebuffer display. Overrides the display drivers and uses framebuffer.

-t  Display statistics. At the end of each frame, statistics are output.

-p  Display progress. Displays an updating progress line on the terminal.

-P:n
    Specify the number of subprocesses for a multiprocessor render. May not be used with -r or -s.

-c <client port>
    Specify a client (for subprocesses, used internally by rndr).

ENVIRONMENT

PIXIEHOME
    The directory $(PIXIEHOME)/shaders is used to locate the display drivers, shaders, and procedurals for a render. PIXIEHOME is contain the directories 'shaders' and 'displays', but may contain:

    $(PIXIEHOME)/shaders
        Location for shaders

    $(PIXIEHOME)/displays
        Location for display drivers

    $(PIXIEHOME)/procedurals
        Location for procedural generators

    $(PIXIEHOME)/textures
        Location for textures

SHADERS
    Also searched for shaders

TEXTURES
    Also searched for textures

PROCEDURALS
    Also searched for procedurals

DISPLAYS
    Also searched for display drivers

DISPLAY
    Which X11 display to open for the framebuffer

SEE ALSO
sdrc(1), texmake(1), show(1), sdrinfo(1)

BUGS
See the sourceforge forums / tracker at http://pixie.sourceforge.net